Subject: Re: Cause parameter in Subtract

From: Christian Groves <[email-masked]>
Date: Sun, 04 Mar 2001 12:20:12 +1100

I still don't see the need for this. The MG doesn't need to know this
information it just needs to know that a termination is subtracted. Even
in a multi-vendor MG and MGC I would expect that they would be connected
to the same management system and that an operator isn't going to want
the same information from both the MG and MGc.

Christian

Madhu Babu Brahmanapally wrote:
> 
> Yes,
> In one of the scenarios it is happened that in the first MG both
> physical and ephemeral terminations are added to context. Then the MGC
> communicates the local information of ephemeral termination in MG1 as
> remote SDP info to the second MG. The second MG returned insufficient
> resources and the Add at MG2 was a failure. The MGC subtracted the
> physical and ephemeral terminations. The voice didn't go through and
> Since I can look at the traces at the second MG I was able to trace
> the reason of failure. But in real case scenario it is not known what
> had actually happened. Why not MGC provide this additional information
> with multi-vendor MG and MGCs in picture, to aid the MGs?
> 
> Best Regards.
> Madhubabu
> 
> 
> 
>  -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Chuong Nguyen
> Sent: Monday, February 26, 2001 3:04 PM
> To: megaco
> Subject: Re: Cause parameter in Subtract
> 
>      You must have a particular scenario in mind.
>      Can you give the scenario why MG would need such info?
> 
>      Thanks
>      Chuong
> 
> 
>      Madhu Babu Brahmanapally wrote:
> 
>     >  Hi ALL,In the version 2 of the protocol we need to include
>     >  a parameter which is a cause parameter in the Subtract
>     >  message that indicates the reason of subtracting the
>     >  termination from context. The reasons could be "normal",
>     >  "remote MG failure", etc..Such that the MG is aware of the
>     >  actual reason of Subtract.Best Regards.Madhubabu
> 
>      --
>        Alcatel USA, Inc             Internet: [email-masked]
>        1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613
>        **** The opinions expressed are not those of Alcatel USA, Inc ****
> 
>

---

From: "Tom-PT Taylor" <[email-masked]>
Date: Mon, 12 Mar 2001 10:50:43 -0500

There's a principle that debugging data shouldn't be passed around in the
field except when specially enabled.  Generally the cost of handling it when
it isn't needed is far greater than the value of having it without specific
enabling. 

-----Original Message-----
From: Madhu Babu Brahmanapally [mailto:[email-masked]]
Sent: Monday, February 26, 2001 4:57 PM
To: 'Chuong Nguyen'; 'megaco'
Subject: RE: Cause parameter in Subtract

Yes, 
In one of the scenarios it is happened that in the first MG both physical
and ephemeral terminations are added to context. Then the MGC communicates
the local information of ephemeral termination in MG1 as remote SDP info to
the second MG. The second MG returned insufficient resources and the Add at
MG2 was a failure. The MGC subtracted the physical and ephemeral
terminations. The voice didn't go through and Since I can look at the traces
at the second MG I was able to trace the reason of failure. But in real case
scenario it is not known what had actually happened. Why not MGC provide
this additional information with multi-vendor MG and MGCs in picture, to aid
the MGs?
 
Best Regards.
Madhubabu

 -----Original Message-----

Thanks 
Chuong 

Hi ALL,In the version 2 of the protocol we need to include a parameter which
is a cause parameter in the Subtract message that indicates the reason of
subtracting the termination from context. The reasons could be "normal",
"remote MG failure", etc..Such that the MG is aware of the actual reason of
Subtract.Best Regards.Madhubabu

--